精华内容
参与话题
问答
  • 1 python-catkin-pkg-modules、python-catkin-pkg包无法安装 2 Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': 没有那个文件或目录 ...

    ---------------------

    Keyword

    1 python-catkin-pkg-modules、python-catkin-pkg包无法安装

    2 Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': 没有那个文件或目录

    ----------------------

    问题定位:

    ROS已安装,因故重装ROS,过程终端报错,并且重装Linux仍不能解决报错问题。

    整理的解决办法如下:

    1.当终端输出以下错误时,解决办法在黄色字体的下一行

    (gtk-update-icon-cache-3.0:20952): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': 没有那个文件或目录
    
    This likely means that your installation is broken.
    Try running the command
      gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    to make things work again for the time being.
    正在处理用于 libglib2.0-0:amd64 (2.40.2-0ubuntu1) 的触发器 ...
    正在处理用于 gnome-icon-theme (3.10.0-0ubuntu2) 的触发器 ...
    
    (gtk-update-icon-cache-3.0:20956): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': 没有那个文件或目录
    
    This likely means that your installation is broken.
    Try running the command
      gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    to make things work again for the time being.
    

    输入

    gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache

    2.修复归档(可能)

    • python-catkin-pkg-modules_0.4.7-1_all.deb
    • python-catkin-pkg_0.4.7-100_all.deb
    正在读取软件包列表... 完成
    正在分析软件包的依赖关系树       
    正在读取状态信息... 完成       
    将会安装下列额外的软件包:
      python-catkin-pkg-modules
    下列【新】软件包将被安装:
      python-catkin-pkg python-catkin-pkg-modules
    升级了 0 个软件包,新安装了 2 个软件包,要卸载 0 个软件包,有 606 个软件包未被升级。
    需要下载 0 B/44.4 kB 的软件包。
    解压缩后会消耗掉 273 kB 的额外空间。
    您希望继续执行吗? [Y/n] y
    dpkg-deb:错误:归档 /var/cache/apt/archives/python-catkin-pkg-modules_0.4.7-1_all.deb 含有不合时宜的成员 control.tar.xz 于 control.tar.gz 之前,放弃操作
    dpkg: 处理归档 /var/cache/apt/archives/python-catkin-pkg-modules_0.4.7-1_all.deb (--unpack)时出错:
     子进程 dpkg-deb --control 返回了错误号 2
    dpkg-deb:错误:归档 /var/cache/apt/archives/python-catkin-pkg_0.4.7-100_all.deb 含有不合时宜的成员 control.tar.xz 于 control.tar.gz 之前,放弃操作
    dpkg: 处理归档 /var/cache/apt/archives/python-catkin-pkg_0.4.7-100_all.deb (--unpack)时出错:
     子进程 dpkg-deb --control 返回了错误号 2
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    

    我们需要安装ROS系统之前,upgrade文件归档,

    输入流程如下,关键是upgrade命令

    apt-get update
    sudo apt-get upgrade
    install ros-indigo-desktop-full 

     

    完毕

     

     

     

    _______________________________________________________

    其他

    以下是之前的探索过程,无需再看

     

    记录尝试过的办法。

    过程中学到

    • gdebi、timeshift
    • dpkg --reinstall 等参数
    • 现在新的电脑饱受蹂躏下机箱前置USB已做不了启动盘的文件读取以及XBOX摄像头数据读取。作为U盘存取功能还在,但是ubuntu只能冷启动,开机之后插入U盘鼠标键盘失灵无响应。

    问题

    ros-indigo-desktop/ros-indigo-desktop-full命令出错

    出错包

    • python-catkin-pkg-modules_0.4.7-1_all.deb
    • python-catkin-pkg_0.4.7-100_all.deb

    报错

    正在读取软件包列表... 完成
    正在分析软件包的依赖关系树       
    正在读取状态信息... 完成       
    将会安装下列额外的软件包:
      python-catkin-pkg-modules
    下列【新】软件包将被安装:
      python-catkin-pkg python-catkin-pkg-modules
    升级了 0 个软件包,新安装了 2 个软件包,要卸载 0 个软件包,有 606 个软件包未被升级。
    需要下载 0 B/44.4 kB 的软件包。
    解压缩后会消耗掉 273 kB 的额外空间。
    您希望继续执行吗? [Y/n] y
    dpkg-deb:错误:归档 /var/cache/apt/archives/python-catkin-pkg-modules_0.4.7-1_all.deb 含有不合时宜的成员 control.tar.xz 于 control.tar.gz 之前,放弃操作
    dpkg: 处理归档 /var/cache/apt/archives/python-catkin-pkg-modules_0.4.7-1_all.deb (--unpack)时出错:
     子进程 dpkg-deb --control 返回了错误号 2
    dpkg-deb:错误:归档 /var/cache/apt/archives/python-catkin-pkg_0.4.7-100_all.deb 含有不合时宜的成员 control.tar.xz 于 control.tar.gz 之前,放弃操作
    dpkg: 处理归档 /var/cache/apt/archives/python-catkin-pkg_0.4.7-100_all.deb (--unpack)时出错:
     子进程 dpkg-deb --control 返回了错误号 2
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    

    has premature member 'control.tar.xz' before 'control.tar.gz',

    ROS官方无解决方案跑去其他论坛询问的网址(2016)

    http://e2e.ti.com/support/applications/high-performance-computing/f/952/p/414164/1471263#1471263

     

     

     

    • U盘启动盘装系统。新旧U盘,旧U盘两个失败,新U盘成功一个。否定了U盘的问题。否定镜像问题。
    • 更换源失败。否定源问题。
    • 严重怀疑系统重装时一般会将上次的问题遗留下来。格式化,删除卷,建立WIN盘,删除卷,均失败。准备尝试其他版本系统镜像。怀疑ubuntu重装机制以及磁盘格式化机制。内核不变,某些配置不会因为重装而更新。
    • aptitude校准依赖失败。
    • 先装ros-indigo-desktop ,直接装ros-indigo-desktop-full均出错。

     

     

    解决办法

    针对我这台电脑,问题出错的过程与解决办法。

    首先,重装系统无用

    错误1,在安装过程中出现如下错误。解决办法在以下终端输出中最下面。我没深究这个模块是什么。

    报错

    (gtk-update-icon-cache-3.0:20952): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': 没有那个文件或目录
    
    This likely means that your installation is broken.
    Try running the command
      gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    to make things work again for the time being.
    正在处理用于 libglib2.0-0:amd64 (2.40.2-0ubuntu1) 的触发器 ...
    正在处理用于 gnome-icon-theme (3.10.0-0ubuntu2) 的触发器 ...
    
    (gtk-update-icon-cache-3.0:20956): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': 没有那个文件或目录
    
    This likely means that your installation is broken.
    Try running the command
      gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    to make things work again for the time being.
    

    try running the command

    gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache

    终端输入

    gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache

    错误2,安装包返回错误号

    • python-catkin-pkg-modules_0.4.7-1_all.deb
    • python-catkin-pkg_0.4.7-100_all.deb
    正在读取软件包列表... 完成
    正在分析软件包的依赖关系树       
    正在读取状态信息... 完成       
    将会安装下列额外的软件包:
      python-catkin-pkg-modules
    下列【新】软件包将被安装:
      python-catkin-pkg python-catkin-pkg-modules
    升级了 0 个软件包,新安装了 2 个软件包,要卸载 0 个软件包,有 606 个软件包未被升级。
    需要下载 0 B/44.4 kB 的软件包。
    解压缩后会消耗掉 273 kB 的额外空间。
    您希望继续执行吗? [Y/n] y
    dpkg-deb:错误:归档 /var/cache/apt/archives/python-catkin-pkg-modules_0.4.7-1_all.deb 含有不合时宜的成员 control.tar.xz 于 control.tar.gz 之前,放弃操作
    dpkg: 处理归档 /var/cache/apt/archives/python-catkin-pkg-modules_0.4.7-1_all.deb (--unpack)时出错:
     子进程 dpkg-deb --control 返回了错误号 2
    dpkg-deb:错误:归档 /var/cache/apt/archives/python-catkin-pkg_0.4.7-100_all.deb 含有不合时宜的成员 control.tar.xz 于 control.tar.gz 之前,放弃操作
    dpkg: 处理归档 /var/cache/apt/archives/python-catkin-pkg_0.4.7-100_all.deb (--unpack)时出错:
     子进程 dpkg-deb --control 返回了错误号 2
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    

    install ros-indigo-desktop-full之前

    • 1apt-get update
    • 2apt-get upgrade 升级某些模块的包
    sudo apt-get upgrade

    之后再执行安装ros-indigo命令

    解决。

    如果依赖已经出错,最简单的办法是重装系统。

     

    解决后,ubuntu crash一直会报问题1gtk错误。不影响运行ros。

    问题猜测,似乎是ubuntu系统安装过程中不完全的问题。在同一段时间其他人报错的重装系统就可以了,排除了源的问题。

    但是是什么操作导致了ubuntu系统缺少gtk模块?

     

     

    展开全文
  • centos安装 python-dev包提示No package python-dev available: 出现此问题的原因是python-dev的包在centos的yum中不叫python-dev,而是python-devel. 所以使用下面的命令即可安装python-dev: yum install python...

    centos安装 python-dev包提示No package python-dev available:

    出现此问题的原因是python-dev的包在centos的yum中不叫python-dev,而是python-devel.

    所以使用下面的命令即可安装python-dev:


    yum install python-devel

    展开全文
  • ubuntu13.04下执行sudo apt-get install python-pip 出现以下错误: E: Unable to locate package python-pip 解决办法: https://askubuntu.com/questions/672808/sudo-apt-get-install-python-pip-is-failing ...

    ubuntu13.04下执行sudo apt-get install python-pip 出现以下错误:
    E: Unable to locate package python-pip

    解决办法:
    摘自 https://askubuntu.com/questions/672808/sudo-apt-get-install-python-pip-is-failing

    python-pip is in the universe repositories, therefore use the steps below:

    sudo apt-get install software-properties-common
    sudo apt-add-repository universe
    sudo apt-get update
    sudo apt-get install python-pip
    
    展开全文
  • learn-python-the-hard-way中文版

    千次下载 热门讨论 2012-03-14 14:32:27
    learn-python-the-hard-way中文版,o基础学习python!||随手上传是种美德
  • 【基础】python-docx---设置表格

    万次阅读 热门讨论 2019-04-29 14:48:56
    python-docx-template包之----为文字自定义格式(一) python-docx-template包之----设置表格(二) python-docx-template包之----疑难杂症(三) 代码操作Word时,自动更新目录(一) python操作Word时,自动...

    系列文

    python-docx-template包之----为文字自定义格式(一)

    python-docx-template包之----设置表格(二)

    python-docx-template包之----疑难杂症(三)

    代码操作Word时,自动更新目录(一)

    python操作Word时,自动更新目录(二)

    python-docx包之-----表格(属性/边框等)设置

    概述:

    如果只依靠jinja2模板以及python-docx-template来设置表格的话,只能做简单的表格,遇到表格单元格合并等问题,就会显得力不从心,因此这里有更加强大的库,python-docx

    需求:

    1. 读取表格

    2. 程序新建表格

    3. 表格合并与拆分

    实现一:读取表格

    from docx import Document
    
    import collections
    import re
    
    
    document = Document('tests/output/test1111.docx')
    
    ##遍历word中的所有表格
    #table=tpl.tables[0]  word中的第一个表
    for table in document.tables:
    
        for cell in table.column_cells(1): ##print 第二列的内容,包括表头
            print(cell.text)
    

    实现二: 程序新建表格

    模板:

    在模板中插入标签  {{p mysubdoc}}

    可以新建表格样式

    选择表格,出现设计,在设计中可以新建、修改和删除表格样式

    程序

    from docxtpl import DocxTemplate
    from docxtpl import Document
    from docx.shared import Inches
    tpl = DocxTemplate('test.docx')
    import re
    import collections
    
    
    sd = tpl.new_subdoc()
    sd.add_paragraph('Drug Table :')
    rows=2
    cols=4
    table = sd.add_table(rows=rows, cols=cols ,style='Style1')
    
    #header
    cells = table.rows[0].cells
    cells[0].text="Gene"
    cells[1].text="Drug"
    cells[2].text="Rank"
    cells[3].text="Description"
    
    
    table.cell(1,0).text="ALK"
    table.cell(1,1).text="GENE1"
    table.cell(1,2).text="GENE2"
    table.cell(1,3).text="haha"
    
    
    context = {
        'mysubdoc' : sd,
    }
    
    tpl.render(context)
    tpl.save('path/test.docx')

     结果:

     

    三、表格合并以及拆分

    模板

    标签同第二步

    单元格拆分,其实是在单元格中添加新的表,表的边框线特殊设置,在视觉上感觉是拆分,因此除了Style1之外,需要再设置一个表格样式

    需要注意inner_style和Style1的行间距必须一致,比如都是单倍行距,不然容易错乱

     

    需要注意的是,表格属性--选项的 默认单元格边距,左右必须都是0

    合并代码:

    from docxtpl import DocxTemplate
    from docxtpl import Document
    from docx.shared import Inches
    tpl = DocxTemplate('test.docx')
    import re
    import json
    import collections
    
    
    sd = tpl.new_subdoc()
    sd.add_paragraph('Drug Table :')
    rows=3
    cols=4
    table = sd.add_table(rows=rows, cols=cols ,style='Style1')
    
    #header
    cells = table.rows[0].cells
    cells[0].text="Gene"
    cells[1].text="Drug"
    cells[2].text="Rank"
    cells[3].text="Description"
    
    
    table.cell(1,0).text="ALK"
    table.cell(1,1).text="GENE1"
    table.cell(1,2).text="GENE2"
    table.cell(1,3).text="haha"
    #
    # #https://python-docx.readthedocs.io/en/latest/api/table.html#docx.table.Table.style
    # #merge
    table.cell(2,0).merge(table.cell(2,3)).text="One Drug"
    
    context = {
        'mysubdoc' : sd,
    }
    
    
    tpl.render(context)
    tpl.save('path/vertical_merge.docx')

    效果:

     

    表格拆分

    代码:

    from docxtpl import DocxTemplate
    from docxtpl import Document
    from docx.shared import Inches
    from docx.oxml.shared import OxmlElement, qn
    from docx.enum.text import WD_ALIGN_PARAGRAPH
    tpl = DocxTemplate('test.docx')
    import re
    import json
    import collections
    
    
    sd = tpl.new_subdoc()
    table = sd.add_table(rows=2, cols=4, style='Style1')
    width = OxmlElement('w:tblW')
    width.set(qn('w:type'), 'pct')
    width.set(qn('w:w'), '5000')
    table._tblPr.append(width)
    
    cells = table.rows[0].cells
    header = ["Name1", "Name2", "Name3", "Name4"]
    for i in range(len(header)):
        cells[i].text = header[i]
        cells[i].paragraphs[0].alignment = WD_ALIGN_PARAGRAPH.CENTER  #水平居中
    
    
    def add_new_table(cell, con):
        ##拆分就是在单元格新建paragraph,会多出一个空行,需要去除空行
        cell.text = ""
        cell._element.clear_content()
    
        # 设置表格宽度
        t1 = cell.add_table(rows=len(con), cols=1)
        width = OxmlElement('w:tblW')
        width.set(qn('w:type'), 'pct')
        width.set(qn('w:w'), '5000')
        t1._tblPr.append(width)
    
        for i in range(len(con)):
            t1.cell(i,0).text = ""
            pa = t1.cell(i,0).paragraphs[0]
            pa.alignment = WD_ALIGN_PARAGRAPH.CENTER #水平居中
            pa.add_run(con[i])
        t1.style = 'inner_style'
    
    add_new_table(table.cell(1, 0), ['A','B','C'])
    add_new_table(table.cell(1, 1), ['THIS'])
    add_new_table(table.cell(1, 2), ['HAHA'])
    add_new_table(table.cell(1, 3), ['PRETTY'])
    table.add_row()
    last = table.cell(2, 0).merge(table.cell(2, 3))
    last.text = ""
    pa = last.paragraphs[0]
    pa.add_run("此处是合并")
    
    
    context = {
        'mysubdoc' : sd,
    }
    tpl.render(context)
    tpl.save('vertical_merge.docx')
    

    结果:

    展开全文
  • python-dev and python3-dev 软件包

    万次阅读 2019-09-07 12:44:28
    python-dev and python3-dev 软件包 Ubuntu 下名称 python-dev and python3-dev。 CentOS 下名称 python-devel and python3-devel。 Header files, a static library and development tools for building Python ...
  • python-devel和python-dev的区别

    千次阅读 2018-09-22 00:20:53
    以python为例, 以下情况你是需要python-dev的你需要自己安装一个源外的python类库, 而这个类库内含需要编译的调用python api的c/c++文件你自己写的一个程序编译需要链接libpythonXX.(a|so)(注:以上不含使用ctypes/...
  • 【基础】python-docx-template包之----设置表格(二)

    万次阅读 热门讨论 2018-08-09 14:55:06
    python-docx-template包之----为文字自定义格式(一) python-docx-template包之----设置表格(二) python-docx-template包之----疑难杂症(三) 代码操作Word时,自动更新目录(一) python操作Word时,自动...
  • CentOS 下 python-dev 叫做 python-devel

    万次阅读 2014-04-28 15:12:03
    在使用pyth Ubuntu下叫做python-dev,CentOS下叫做python-devel,标记一下。
  • python-setuptools : 依赖: python-pkg-resources (= 3.3-1ubuntu2) 但是 3.3-1ubuntu1 正要被安装 解决 apt-get purge python-pkg-resources apt-get -f install
  • python和python-dev问:python-dev是什么?为什么安装了python后有时还要安装python-dev?答:linux发行版通常会把类库的头文件和相关的pkg-config分拆成一个单独的xxx-dev(el)包. //pkg=package,包裹以python为例, ...
  • 1,使用python -m pip install --upgrade pip升级失败 2,使用python -m pip install -U --force-reinstall pip依然失败 3,使用pip install --user --upgrade pip成功升级
  • 参考回答https://askubuntu.com/questions/789302/install-python-wxgtk2-8-on-ubuntu-16-04$sudo add-apt-repository ppa:nilarimogard/webupd8添加仓库$sudo ...$sudo apt-get install python-wxgtk2.8安装pytho...
  • http://luojinghappy.blog.51cto.com/683032/1629661 ...安装apt-get install python-pip 遇到以下问题。 root@saltstackminion:~# apt-get install python-pip Reading package lists... Done
  • 用apt-get安装python-dev老是报错,缺少依赖包,报错信息: The following packages have unmet dependencies: build-essential : Depends: dpkg-dev (>= 1.13.5) but it is not going to be installed python-dev...
  • w3af在kali2020下真心不好安装 一路坑坑拌伴 正常下载w3af,按要求解压在/root下 安装NPM包管理工具 apt install npm ...apt install python-dev build-essential libssl-dev libffi-dev libxml2-dev li...
  • 一台新服务器centos6.7安装pip。 163的centos源并没有这个,用了一个python源,版本不兼容...Error: Package: python-argparse-1.3.0-48.8.x86_64 (python)  Requires: python = 2.6  Installed: python-2.6.6-66.el6
  • 目录 官方文档: 安装 概述 方法一:新建样式 方法二:程序指定 ...python-docx-template包之----为文字自定义格式(一) ...python-docx-template包之----设置表格(二) ...python-docx-template包之-...
  • 解决'python -m pip install --upgrade pip' 报错问题

    万次阅读 多人点赞 2018-06-11 23:09:43
    再安装包的时候提示 You are using pip version 9.0.3, however version ...You should consider upgrading via the 'python -m pip install --upgrade pip' command. 而我按照要求运行python -m pip install -...
  • 为了验证上篇博客中rpm = 4.8.0-55.el6 is needed by rpm-python-4.8.0-55.el6.x这个错误提示是不是rpm版本引起的做了个测试 [root@mylinux66 ~]# rpm -qa | grep rpm rpm-libs-4.8.0-37.el6.x86_64 rpm-python-...
  • python--pip--安装超时的解决办法

    万次阅读 多人点赞 2019-07-25 23:46:09
    pip安装包经常失败,原因是网速慢,国外服务器连接超时,默认15s ...python -m pip install --upgrade pip --timeout 6000 2、更改安装源到国内镜像 pip install --pre scapy[complete] -i https://mirrors.ali...
  • python-config / python3-config - output build options for python C/C++ extensions or embedding 1. NAME python-config - output build options for python C/C++ extensions or embedding embed [ɪm'bed; em-...
  • python环境搭建 - python-3.6.5-amd64 版本安装说明 python-3.5.6 - Windows64 下载 运行环境 Windows x64 1.点击安装一路确定就会安装完成,安装时需要勾选默认配置环境变量 2. 安装完成运行cmd ...
  • Python -c / -m 执行命令

    千次阅读 2019-02-23 17:15:30
    Python -c / -m 执行命令 purple - 紫色 1. 查看 Python 版本 strong@foreverstrong:~$ python -V Python 2.7.12 strong@foreverstrong:~$ 2. 查看 Python 版本 strong@foreverstrong:~$ python --version...
  • 本地原来安装了python3.3x86, 现在安装了python2.7.10.amd64, 再安装libxml2-python-2.7.7.win32-py2.7时, 提示"找不到python27的注册表信息". 仿照装好的python3.3x86的注册表设置改了一个注册表脚本文件, 倒入...
  • Ubuntu18.04下安装Caffe-GPU时执行以下语句: for req in $(cat requirements.txt); do pip install $req; done 出现了以下错误: pandas 0.22.0 has ...=2, but you'll have python-dateutil 1.5 which i...
  • Python--本博客 Python 文章相关索引

    千次阅读 2013-12-31 16:16:57
    本博客 Python 文章相关索引 Python初学者(零基础学习...Python--glob 获取指定目标下所有的jpg文件的名字 python--uuid--字符串split--join(列表) Python--shutil--copy--复制文件 Python--批量修改文件
  • python-docx template 操作word文档

    万次阅读 2018-04-13 11:03:32
    也可以用python-docx template来修改模板。本文讲python-docx template来操作。先上效果图。一阵操作,就可以生成这个表格。代码截图python-docx template文档链接github上的示例github Demo很好的是:1. 保留原样式...
  • 安装Appium-Python-Client,安装了python报unknown or unsupported command ‘install’ 在cmd中输入python -m ensurepip即可生成一些必要的文件。 输入pip3 install Appium-Python-Client 安装完成 ...
  • python -v 和-V

    千次阅读 2019-09-24 15:19:27
    python -v 小写v:这是版本信息,包括库版本 python -V 大写v:只看python的版本 转载于:https://www.cnblogs.com/mmbbflyer/p/11497412.html

空空如也

1 2 3 4 5 ... 20
收藏数 1,242,181
精华内容 496,872
关键字:

python-

python 订阅